Skip to main content
`Ctrl`+`K`

# MatDenseGetLocalMatrix

For a `MATMPIDENSE` or `MATSEQDENSE` matrix returns the sequential matrix that represents the operator. For sequential matrices it returns itself.

## Synopsis

    #include "petscmat.h"
    PetscErrorCode MatDenseGetLocalMatrix(Mat A, Mat *B)

## Input Parameter

- A - the sequential or MPI `MATDENSE` matrix

## Output Parameter

- B - the inner matrix

## See Also

Matrices, `Mat`, `MATDENSE`, `MATMPIDENSE`, `MATSEQDENSE`

## Level

intermediate

## Location

src/mat/impls/dense/mpi/mpidense.c

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages